<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <include
        android:id="@+id/include"
        layout="@layout/layout_common_toolbar" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/gl_left"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_begin="@dimen/dp20" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/gl_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_end="@dimen/dp20" />

    <LinearLayout
        android:id="@+id/ll_old"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp64"
        android:gravity="center"
        android:orientation="vertical"
        app:layout_constraintEnd_toStartOf="@id/ll_new"
        app:layout_constraintHorizontal_chainStyle="spread"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/include">

        <TextView
            android:id="@+id/tv_serial_number1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_blue_circle_bg"
            android:gravity="center"
            android:text="1"
            android:textColor="@color/white"
            android:textSize="@dimen/sp12" />

        <TextView
            android:id="@+id/tv_verify_old_account"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp4"
            android:text="验证旧账号"
            android:textColor="@color/color_1852F1"
            android:textSize="@dimen/sp12" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_new"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp64"
        android:gravity="center"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/ll_old"
        app:layout_constraintTop_toBottomOf="@id/include">

        <TextView
            android:id="@+id/tv_serial_number2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_gray_circle_bg"
            android:gravity="center"
            android:text="2"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp12" />

        <TextView
            android:id="@+id/tv_verify_new_account"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp4"
            android:text="验证新账号"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp12" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_old_mobile"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp60"
        android:layout_marginTop="@dimen/dp30"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="@id/gl_right"
        app:layout_constraintStart_toStartOf="@id/gl_left"
        app:layout_constraintTop_toBottomOf="@id/ll_old">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="旧账号"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp16" />

        <com.yidian.shenghuoquan.bmanagercenter.widget.NumberCheckView
            android:id="@+id/ncv_mobile"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/dp25"
            android:gravity="center_vertical"
            android:visibility="visible" />

        <EditText
            android:id="@+id/et_new_mobile"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/dp25"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="请输入"
            android:inputType="number"
            android:maxLength="13"
            android:textColor="#333333"
            android:textSize="16sp"
            android:visibility="gone"
            tools:ignore="TextFields" />

    </LinearLayout>

    <View
        android:id="@+id/view_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/color_FFF2F2F2"
        app:layout_constraintEnd_toEndOf="@id/gl_right"
        app:layout_constraintStart_toStartOf="@id/gl_left"
        app:layout_constraintTop_toBottomOf="@id/ll_old_mobile" />

    <LinearLayout
        android:id="@+id/ll_verification_code"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp60"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="@id/gl_right"
        app:layout_constraintStart_toStartOf="@id/gl_left"
        app:layout_constraintTop_toBottomOf="@id/view_line">

        <TextView
            android:id="@+id/tv_codeShow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="验证码"
            android:textColor="#333333"
            android:textSize="16sp" />

        <EditText
            android:id="@+id/et_old_code"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/dp25"
            android:layout_weight="1"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="请输入"
            android:inputType="number"
            android:maxLength="6"
            android:textColor="@color/color_333333"
            android:textColorHint="@color/color_999999"
            android:textSize="16sp"
            tools:ignore="TextFields" />

        <EditText
            android:id="@+id/et_new_code"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/dp25"
            android:layout_weight="1"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="请输入"
            android:inputType="number"
            android:maxLength="6"
            android:textColor="@color/color_333333"
            android:textColorHint="@color/color_999999"
            android:textSize="16sp"
            android:visibility="gone"
            tools:ignore="TextFields" />

        <TextView
            android:id="@+id/tv_getCode"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:gravity="end"
            android:text="获取验证码"
            android:textColor="#1852f1"
            android:textSize="14sp" />

    </LinearLayout>

    <TextView
        android:id="@+id/tv_change_tips"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp15"
        android:text="@string/manager_account_change_tips"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp12"
        app:layout_constraintEnd_toEndOf="@id/gl_right"
        app:layout_constraintStart_toStartOf="@id/gl_left"
        app:layout_constraintTop_toBottomOf="@id/ll_verification_code" />

    <TextView
        android:id="@+id/tv_change_account"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginStart="40dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="40dp"
        android:background="@drawable/account_btn_gradient_bg"
        android:gravity="center"
        android:text="更换账号"
        android:textColor="@color/white"
        android:textSize="18sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_change_tips" />

    <TextView
        android:id="@+id/tv_confirm_change"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginStart="40dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="40dp"
        android:background="@drawable/account_btn_gradient_bg"
        android:gravity="center"
        android:text="确认更换"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_change_tips" />

    <LinearLayout
        android:id="@+id/ll_protocol"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp20"
        android:layout_marginTop="@dimen/dp20"
        android:layout_marginEnd="@dimen/dp20"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="@id/gl_right"
        app:layout_constraintStart_toStartOf="@id/gl_left"
        app:layout_constraintTop_toBottomOf="@id/tv_change_account">

        <ImageView
            android:id="@+id/iv_check"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/icon_square_checked" />

        <TextView
            android:id="@+id/tv_register_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp10"
            android:text="@string/manager_register_tips"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp12" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>